> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# paymentTransactionSummaries

> A summary of transaction aggregates (counts and amounts, including conveyed transactions) by pertinent transaction type, currency, card brand, and transaction activity date.

`Query`

## Arguments

<ParamField path="input" type="PaymentTransactionSummaryInput!" required>
  <Expandable title="child attributes">
    <ParamField path="orderBy" type="[PaymentTransactionSummarySortTypeInput!]">
      <Expandable title="child attributes">
        <ParamField path="field" type="PaymentTransactionSummarySortField!" required>
          <Expandable title="Possible enum values">
            <ParamField path="TRANSACTION_ACTIVITY_DATE" type="enum" />

            <ParamField path="TRANSACTION_CURRENCY" type="enum" />

            <ParamField path="TRANSACTION_TYPE" type="enum" />

            <ParamField path="CONVEYED_STATUS" type="enum" />

            <ParamField path="PAYMENT_BRAND" type="enum" />

            <ParamField path="PAYMENT_FUNDING_SOURCE" type="enum" />

            <ParamField path="TRANSACTION_PROCESSING_DECISION" type="enum" />

            <ParamField path="TRANSACTION_COUNT" type="enum" />

            <ParamField path="TRANSACTION_AMOUNT" type="enum" />

            <ParamField path="PRESENTER_ID" type="enum" />

            <ParamField path="PROCESSING_NETWORK" type="enum" />

            <ParamField path="PAYMENT_CHANNEL" type="enum" />
          </Expandable>
        </ParamField>

        <ParamField path="sortDirection" type="SortingEnumType!" required>
          See [SortingEnumType](/acquiring/reference/graphql/types/sorting-enum-type)
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField path="paging" type="PagingInput!" required>
      See [PagingInput](/acquiring/reference/graphql/types/paging-input)
    </ParamField>

    <ParamField path="where" type="PaymentTransactionSummaryFilterInput!" required>
      <Expandable title="child attributes">
        <ParamField path="acceptorId" type="GuidFilterInput">
          See [GuidFilterInput](/acquiring/reference/graphql/types/guid-filter-input)
        </ParamField>

        <ParamField path="conveyedStatus" type="EnumFilterInputOfConveyedStatusInput">
          See [EnumFilterInputOfConveyedStatusInput](/acquiring/reference/graphql/types/enum-filter-input-of-conveyed-status-input)
        </ParamField>

        <ParamField path="paymentChannel" type="EnumFilterInputOfPaymentChannelInput">
          See [EnumFilterInputOfPaymentChannelInput](/acquiring/reference/graphql/types/enum-filter-input-of-payment-channel-input)
        </ParamField>

        <ParamField path="transactionActivityDate" type="DateRangeFilterInput!" required>
          See [DateRangeFilterInput](/acquiring/reference/graphql/types/date-range-filter-input)
        </ParamField>

        <ParamField path="transactionCurrency" type="String" />

        <ParamField path="transactionType" type="EnumFilterInputOfPaymentTransactionTypeInput">
          See [EnumFilterInputOfPaymentTransactionTypeInput](/acquiring/reference/graphql/types/enum-filter-input-of-payment-transaction-type-input)
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

## Return type

`PaymentTransactionSummaryCollection`

<ResponseField name="items" type="[PaymentTransactionSummary!]!" required>
  <Expandable title="child attributes">
    <ResponseField name="acceptor" type="Acceptor!" required>
      See [Acceptor](/acquiring/reference/graphql/types/acceptor)
    </ResponseField>

    <ResponseField name="conveyedStatus" type="ConveyedStatus!" required>
      Indicator that the transaction was conveyed, or handled by the Tesouro network

      See [ConveyedStatus](/acquiring/reference/graphql/types/conveyed-status)
    </ResponseField>

    <ResponseField name="organization" type="Organization!" required>
      See [Organization](/acquiring/reference/graphql/types/organization)
    </ResponseField>

    <ResponseField name="paymentBrand" type="PaymentBrand">
      Specifies which payment brand was used, e.g., Visa, Mastercard, Discover, American Express, etc.

      See [PaymentBrand](/acquiring/reference/graphql/types/payment-brand)
    </ResponseField>

    <ResponseField name="paymentChannel" type="PaymentChannel">
      A unique identifier created and used by Tesouro, and assigned to the entity presenting the transaction to Tesouro.

      See [PaymentChannel](/acquiring/reference/graphql/types/payment-channel)
    </ResponseField>

    <ResponseField name="paymentFundingSource" type="FundingSource!" required>
      Specifies the source of the card customer's funds , e.g., credit, debit, pre-paid.

      See [FundingSource](/acquiring/reference/graphql/types/funding-source)
    </ResponseField>

    <ResponseField name="presenterId" type="UUID!" required>
      A unique identifier created and used by Tesouro, and assigned to the entity presenting the transaction to Tesouro.
    </ResponseField>

    <ResponseField name="processingNetwork" type="Network">
      The processing network that the transaction was sent across, which may be unafilliated with the card brand.

      See [Network](/acquiring/reference/graphql/types/network)
    </ResponseField>

    <ResponseField name="transactionActivityDate" type="Date!" required>
      The date Tesouro recognized the payment request based upon the acceptor cutoff
    </ResponseField>

    <ResponseField name="transactionAmount" type="Decimal!" required>
      The total value of the transactions
    </ResponseField>

    <ResponseField name="transactionCount" type="Int!" required>
      The total number of transactions
    </ResponseField>

    <ResponseField name="transactionCurrency" type="String!" required>
      The currency specified on the transaction, in ISO 4217 alpha currency code format.
    </ResponseField>

    <ResponseField name="transactionProcessingDecision" type="TransactionRequestResult!" required>
      Tesouro's decision to approve or decline, or accept or reject the transaction request. Note, this is different than the Authorization response returned from the payment network.

      <Expandable title="Possible enum values">
        <ResponseField name="ACCEPTED" type="enum" />

        <ResponseField name="REJECTED" type="enum" />

        <ResponseField name="APPROVED" type="enum" />

        <ResponseField name="DECLINED" type="enum" />
      </Expandable>
    </ResponseField>

    <ResponseField name="transactionType" type="PaymentTransactionType!" required>
      The type of transaction, e.g., Authorization, Capture, Refund, Reversal, Incremental authorization, Authentication.

      See [PaymentTransactionType](/acquiring/reference/graphql/types/payment-transaction-type)
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="pageInfo" type="PageInfo!" required>
  <Expandable title="child attributes">
    <ResponseField name="hasNextPage" type="Boolean!" required />

    <ResponseField name="hasPreviousPage" type="Boolean!" required />
  </Expandable>
</ResponseField>

<RequestExample>
  ```graphql Operation lines expandable theme={null}
  query PaymentTransactionSummaries($input: PaymentTransactionSummaryInput!) {
    paymentTransactionSummaries(input: $input) {
      items {
        acceptor {
          businessName
          id
          name
          paymentTransactionSummaries
          reference
        }
        conveyedStatus
        organization {
          businessName
          capabilities
          id
          legalName
          name
          paymentTransactionSummaries
          phoneNumber
        }
        paymentBrand
        paymentChannel
        paymentFundingSource
        presenterId
        processingNetwork
        transactionActivityDate
        transactionAmount
        transactionCount
        transactionCurrency
        transactionProcessingDecision
        transactionType
      }
      pageInfo {
        hasNextPage
        hasPreviousPage
      }
    }
  }
  ```

  ```json Variables lines expandable theme={null}
  {
    "input": {
      "paging": {
        "skip": 0,
        "take": 0
      },
      "where": {
        "transactionActivityDate": "example"
      }
    }
  }
  ```

  ```bash cURL lines expandable theme={null}
  curl --request POST \
    --url https://api.sandbox.com/graphql \
    --header 'Content-Type: application/json' \
    --header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
    --data '{
    "query": "query PaymentTransactionSummaries($input: PaymentTransactionSummaryInput!) {\n  paymentTransactionSummaries(input: $input) {\n    items {\n      acceptor {\n        businessName\n        id\n        name\n        paymentTransactionSummaries\n        reference\n      }\n      conveyedStatus\n      organization {\n        businessName\n        capabilities\n        id\n        legalName\n        name\n        paymentTransactionSummaries\n        phoneNumber\n      }\n      paymentBrand\n      paymentChannel\n      paymentFundingSource\n      presenterId\n      processingNetwork\n      transactionActivityDate\n      transactionAmount\n      transactionCount\n      transactionCurrency\n      transactionProcessingDecision\n      transactionType\n    }\n    pageInfo {\n      hasNextPage\n      hasPreviousPage\n    }\n  }\n}",
    "variables": {
      "input": {
        "paging": {
          "skip": 0,
          "take": 0
        },
        "where": {
          "transactionActivityDate": "example"
        }
      }
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response lines expandable theme={null}
  {
    "data": {
      "paymentTransactionSummaries": {
        "items": [
          {
            "acceptor": {
              "allocations": "example",
              "authorizationSummaries": "example",
              "billingDescriptor": "CLACKSWORTH KEYBOARDS",
              "businessName": "Clacksworth Keyboards",
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "reference": "example"
            },
            "conveyedStatus": "NOT_APPLICABLE",
            "organization": {
              "acceptorApplicationCounts": [
                "example"
              ],
              "acceptors": "example",
              "achNotificationsOfChange": "example",
              "achReturns": "example",
              "allocations": "example",
              "allowedMerchantCategories": [
                "example"
              ],
              "authorizationSummaries": "example",
              "businessAddress": "example",
              "businessName": "Clacksworth Keyboards",
              "capabilities": [
                "ACQUIRING"
              ],
              "fees": "example",
              "feeSummaries": "example",
              "fundingAchReturns": "example",
              "fundingDisbursementReturns": "example",
              "fundingDisputeEvents": "example",
              "fundingSummaries": "example",
              "fundingTransactions": "example",
              "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
              "legalName": "example",
              "name": "Ben Torres",
              "paymentTransactions": "example",
              "paymentTransactionSummaries": "example",
              "phoneNumber": "example",
              "reportAvailability": [
                "example"
              ],
              "settings": "example"
            },
            "paymentBrand": "VISA",
            "paymentChannel": "ECOMMERCE",
            "paymentFundingSource": "UNKNOWN",
            "presenterId": "c9a1e2d3-4b5f-6789-0abc-def123456789",
            "processingNetwork": "VISA",
            "transactionActivityDate": "2026-01-15",
            "transactionAmount": 0,
            "transactionCount": 0,
            "transactionCurrency": "example",
            "transactionProcessingDecision": "ACCEPTED",
            "transactionType": "AUTHORIZATION"
          }
        ],
        "pageInfo": {
          "hasNextPage": true,
          "hasPreviousPage": true
        }
      }
    }
  }
  ```
</ResponseExample>
